##
##  iselect.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2022 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         iselect
Summary:      Interactive Selection Tool
URL:          http://www.ossp.org/pkg/tool/iselect/
Vendor:       Ralf S. Engelschall
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Terminal
License:      BSD
Version:      1.4.0
Release:      20220523

#   list of sources
Source0:      http://www.ossp.org/pkg/tool/iselect/iselect-%{version}.tar.gz
Patch0:       iselect.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  ncurses
PreReq:       ncurses

%description
   OSSP iSelect is an interactive line selection tool for ASCII files,
   operating via a full-screen Curses-based terminal session. It
   can be used either as an user interface frontend controlled by a
   Bourne-Shell/Perl/Tcl backend as its wrapper or in batch mode as
   a pipeline filter (usually between grep and the final executing
   command).

%track
    prog iselect = {
        version   = %{version}
        url       = http://www.ossp.org/pkg/tool/iselect/
        regex     = iselect-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --with-incdir=%{l_prefix}/include \
        --with-libdir=%{l_prefix}/lib
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install prefix=$RPM_BUILD_ROOT%{l_prefix}
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

